<h3>Create Employee</h3>
<div [hidden]="submitted" style="width: 400px;">
    <form [formGroup]="empForm" novalidate (ngSubmit)="onSubmit()">
        <div class="form-group">
            <label for="firstname">First Name</label>
            <input type="text" class="form-control" id="firstname" required formControlName="firstname"
                name="firstname">
            <span class="text-danger"
                *ngIf="(empFormControl.firstname.touched || submitted) && empFormControl.firstname.errors?.required">
                Firstname is required
            </span>
        </div>

        <div class="form-group">
            <label for="lastname">Last Name</label>
            <input type="text" class="form-control" id="lastname" required formControlName="lastname" name="lastname">
            <span class="text-danger"
                *ngIf="(empFormControl.lastname.touched || submitted) && empFormControl.lastname.errors?.required">
                Lastname is required
            </span>
        </div>

        <div class="form-group">
            <label for="email">Email</label>
            <input type="text" class="form-control" id="email" required formControlName="email" name="email">
            <span class="text-danger"
                *ngIf="(empFormControl.email.touched || submitted) && empFormControl.email.errors?.required">
                Email is required
            </span>
            <span class="text-danger"
                *ngIf="(empFormControl.email.touched || submitted) && empFormControl.email.errors?.email">
                Email must be a valid email address
            </span>
        </div>

        <div class="form-group">
            <label for="age">Age</label>
            <input type="number" class="form-control" id="age" formControlName="age" name="age">
        </div>

        <div class="form-group">
            <label for="salary">Salary</label>
            <input type="number" class="form-control" id="salary" formControlName="salary" name="salary">
        </div>

        <div class="preview" *ngIf="imgFile">
            <img [src]="imgFile" style="width:400px; height:250px">
        </div>

        <div class="form-group">
            <label for="file">File</label>
            <input type="file" class="form-control" id="image" formControlName="image" (change)="onImageChange($event)">
            <span class="text-danger"
                *ngIf="(empFormControl.image.touched || submitted) && empFormControl.image.errors?.required">
                Image is required
            </span>
        </div>

        <button type="submit" class="btn btn-success" [disabled]="!empForm.valid">Submit</button>
        <button routerLink="/employees" routerLinkActive="router-link-active" class="btn btn-primary"
            style="margin-left: 10px">Back to Employee List</button><br>
    </form>
</div>